%global wine_staging 1

Name:           wine
Version:        6.23
Release:        1%{?dist}
Summary:        A compatibility layer for windows applications

License:        GPLv2+
URL:            https://www.winehq.org
Source0:        https://dl.winehq.org/wine/source/6.x/wine-%{version}.tar.xz

%if 0%{?wine_staging}
Source1: https://github.com/wine-staging/wine-staging/archive/v%{version}.tar.gz#/wine-staging-%{version}.tar.gz
%endif

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  autoconf
BuildRequires:  desktop-file-utils
BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  freeglut-devel
BuildRequires:  lcms2-devel
BuildRequires:  libieee1284-devel
BuildRequires:  libjpeg-devel libjpeg-devel(x86-32)
BuildRequires:  libpng-devel libpng-devel(x86-32)
BuildRequires:  librsvg2
BuildRequires:  librsvg2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libusb-devel
BuildRequires:  libxml2-devel libxml2-devel(x86-32)
BuildRequires:  libxslt-devel
BuildRequires:  ncurses-devel ncurses-devel(x86-32)
BuildRequires:  ocl-icd-devel
BuildRequires:  opencl-headers
BuildRequires:  openldap-devel openldap-devel(x86-32)
BuildRequires:  perl-generators
BuildRequires:  unixODBC-devel
BuildRequires:  sane-backends-devel sane-backends-devel(x86-32)
BuildRequires:  systemd-devel
BuildRequires:  zlib-devel
BuildRequires:  fontforge freetype-devel freetype-devel(x86-32)
BuildRequires:  libgphoto2-devel libgphoto2-devel(x86-32)
BuildRequires:  libpcap-devel libpcap-devel(x86-32)
BuildRequires:  libX11-devel libX11-devel(x86-32)
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libOSMesa-devel  mesa-libOSMesa-devel(x86-32)
BuildRequires:  mesa-libGLU-devel mesa-libGLU-devel(x86-32)
BuildRequires:  libXxf86dga-devel
BuildRequires:  libXxf86vm-devel libXxf86vm-devel(x86-32)
BuildRequires:  libXrandr-devel libXrandr-devel(x86-32)
BuildRequires:  libXrender-devel libXrender-devel(x86-32)
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel libXinerama-devel(x86-32)
BuildRequires:  libXcomposite-devel libXcomposite-devel(x86-32)
BuildRequires:  libXfixes-devel(x86-32)
BuildRequires:  fontconfig-devel fontconfig-devel(x86-32)
BuildRequires:  giflib-devel
BuildRequires:  cups-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXi-devel libXi-devel(x86-32)
BuildRequires:  libXcursor-devel libXcursor-devel(x86-32)
BuildRequires:  dbus-devel dbus-devel(x86-32)
BuildRequires:  gnutls-devel gnutls-devel(x86-32)
BuildRequires:  pulseaudio-libs-devel pulseaudio-libs-devel(x86-32)
BuildRequires:  gsm-devel gsm-devel(x86-32)
BuildRequires:  libv4l-devel libv4l-devel(x86-32)
BuildRequires:  fontpackages-devel
BuildRequires:  libtiff-devel libtiff-devel(x86-32)
BuildRequires:  gettext-devel
BuildRequires:  chrpath
BuildRequires:  gstreamer1-devel gstreamer1-devel(x86-32)
BuildRequires:  gstreamer1-plugins-base-devel gstreamer1-plugins-base-devel(x86-32)
BuildRequires:  mpg123-devel mpg123-devel(x86-32)
BuildRequires:  SDL2-devel SDL2-devel(x86-32)
BuildRequires:  libvkd3d-devel
BuildRequires:  vulkan-devel
BuildRequires:  libappstream-glib
BuildRequires:  gtk3-devel
BuildRequires:  libattr-devel
BuildRequires:  libva-devel
BuildRequires:  openal-soft-devel openal-soft-devel(x86-32)
BuildRequires:  icoutils
BuildRequires:  libgcc(x86-32)
BuildRequires:  glibc-devel(x86-32)
BuildRequires:  gtk3-devel
BuildRequires:  libattr-devel
BuildRequires:  libva-devel

Requires:       samba-winbind-clients
Requires:       freetype(x86-32)
Requires:       gnutls(x86-32)
Requires:       libglvnd-glx(x86-32)
Requires:       mesa-dri-drivers(x86-32)

%description
Wine as a compatibility layer for UNIX to run Windows applications. This
package includes a program loader, which allows unmodified Windows
3.x/9x/NT binaries to run on x86 and x86_64 Unixes. Wine can use native system
.dll files if they are available.

%package core
Summary:        Wine core meta-package
Requires:       wine = %{version}-%{release}

%description core
Wine core meta-package includes the basic wine stuff needed by all other packages.

%package common
Summary:       Common files meta-package
Requires:      wine = %{version}-%{release}

%description common
Common wine files and scripts.

%package devel
Summary: Wine development environment
Requires: wine-core = %{version}-%{release}
 
%description devel
Header, include files and library definition files for developing applications
with the Wine Windows(TM) emulation libraries.

%prep
%autosetup

%if 0%{?wine_staging}
gzip -dc %{SOURCE1} | tar -xf - --strip-components=1
patches/patchinstall.sh DESTDIR="`pwd`" --all
%endif

%build
mkdir -p wine64-build
cd wine64-build
../configure --enable-win64 --prefix=/usr

%make_build

cd ..

mkdir -p wine32-build
cd wine32-build
../configure --with-wine64=../wine64-build --prefix=/usr

%make_build

%install
rm -rf $RPM_BUILD_ROOT
cd wine32-build
%make_install

cd ../wine64-build
%make_install

%files
%license LICENSE
%doc ANNOUNCE
%doc COPYING.LIB
%doc LICENSE
%doc LICENSE.OLD
%doc AUTHORS
%doc README
%doc VERSION
%doc documentation/README.*

%{_bindir}/function_grep.pl
%{_bindir}/msidb
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/widl
%{_bindir}/wine
%{_bindir}/wine-preloader
%{_bindir}/wine64
%{_bindir}/wine64-preloader
%{_bindir}/wineboot
%{_bindir}/winebuild
%{_bindir}/winecfg
%{_bindir}/wineconsole
%{_bindir}/winecpp
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winefile
%{_bindir}/wineg++
%{_bindir}/winegcc
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/wineserver
%{_bindir}/wmc
%{_bindir}/wrc

%{_includedir}/wine/*.h
%{_includedir}/wine/*.idl
%{_includedir}/wine/msvcrt/*.h
%{_includedir}/wine/msvcrt/sys/*.h
%{_includedir}/wine/windows/*.h
%{_includedir}/wine/windows/*.idl
%{_includedir}/wine/windows/*.inl
%{_includedir}/wine/windows/*.rh
%{_includedir}/wine/windows/*.x
%{_includedir}/wine/windows/ddk/*.h

%{_prefix}/lib/wine/i386-unix/*
%{_prefix}/lib/wine/i386-windows/*
%{_prefix}/lib/wine/x86_64-unix/*
%{_prefix}/lib/wine/x86_64-windows/*

%{_datadir}/applications/wine.desktop

%{_datadir}/wine/*.inf

%{_datadir}/wine/fonts/*.fon
%{_datadir}/wine/fonts/*.ttf

%{_datadir}/wine/nls/*.nls

%{_mandir}/man1/*.1.gz
%lang(de) %{_mandir}/de.UTF-8/man1/*.1.gz
%lang(fr) %{_mandir}/fr.UTF-8/man1/*.1.gz
%lang(pl) %{_mandir}/pl.UTF-8/man1/*.1.gz

%files core

%files common

%files devel

%changelog
* Sun Jan 09 2022 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.23-1
- Update to 6.23

* Sun Oct 24 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.20-1
- Update to 6.20

* Sun Oct 17 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.19-1
- Update to 6.19

* Mon Jul 05 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.12-1
- Update to 6.12

* Fri Apr 16 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.6-1
- Update to 6.6

* Mon Mar 15 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.4-1
- Update to 6.4

* Tue Mar 02 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.3-1
- Update to 6.3

* Tue Mar 02 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 6.0-1
- Update to 6.0

* Sun Aug 30 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.16-1
- Update to 5.16

* Thu Aug 06 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.14-1
- Update to 5.14

* Sat Jul 04 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.12-1
- Update to 5.12

* Sat Jun 20 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.11-1
- Update to 5.11

* Sat Jun 06 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.10-1
- Update to 5.10

* Sat May 23 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.9-1
- Update to 5.9

* Sat May 09 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.8-1
- Update to 5.8

* Sat Apr 25 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.7-1
- Update to 5.7

* Sat Apr 11 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.6-1
- Update to 5.6

* Sat Mar 28 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.5-1
- Update to 5.5

* Sat Mar 14 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.4-1
- Update to 5.4

* Thu Mar  5 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 5.3-1
- Initial build
